<div class="register-section">
  <div class="row justify-content-center">
    <div class="col-md-3"></div>
    <div class="col-md-6">
      <div class="card">
        <div class="card-header" style="text-align: center">
          <h4>Register</h4>
        </div>
        <div class="card-body">
          <form (ngSubmit)="register()" [formGroup]="registerForm">
            <div class="form-group row">
              <label class="col-md-4 col-form-label text-md-right" for="email_address">Email Address</label>
              <div class="col-md-6">
                <input
                  [formControlName]="'email'"
                  autofocus
                  class="form-control"
                  id="email_address"
                  name="email-address" required
                  type="text"
                >
                <span
                  *ngIf="registerForm && !registerForm.get('email')?.valid && registerForm.get('email')?.touched"
                  class="message-error"
                >
                    Please provide a valid email
                </span>
              </div>
            </div>

            <div class="form-group row">
              <label class="col-md-4 col-form-label text-md-right">User Name</label>
              <div class="col-md-6">
                <input
                  [formControlName]="'username'"
                  autofocus
                  class="form-control"
                  required
                  type="text"
                >
                <span
                  *ngIf="registerForm && !registerForm.get('username')?.valid && registerForm.get('username')?.touched"
                  class="message-error"
                >
                    Please provide a valid username
                </span>
              </div>
            </div>

            <div class="form-group row">
              <label class="col-md-4 col-form-label text-md-right" for="password">Password</label>
              <div class="col-md-6">
                <input
                  [formControlName]="'password'"
                  class="form-control"
                  id="password"
                  name="password"
                  required
                  type="password"
                >
                <span
                  *ngIf="registerForm && !registerForm.get('password')?.valid && registerForm.get('password')?.touched"
                  class="message-error"
                >
                    Please provide a valid Password
                </span>
              </div>
            </div>

            <span class="col-md-6 offset-md-4">
                <button class="register" type="submit">Sign Up</button>
                <span style="padding-left: 15px">Existing user? <a routerLink="/login">Log In</a></span>
            </span>
          </form>
        </div>
      </div>
    </div>
    <div class="col-md-3"></div>
  </div>
</div>
